<template>
    <v-card
        class="profile-card mx-auto"
        max-width="350">
        <v-system-bar color="#C13584" dark>
            <v-spacer/>
            <v-icon>fa fa-signal</v-icon>
            <v-icon>fa fa-wifi</v-icon>
            <v-icon>fa fa-battery-full</v-icon>
        </v-system-bar>
        <v-img
            class="white--text align-end"
            height="300px"
            src="https://cdn.vuetifyjs.com/images/cards/docks.jpg"/>
        <v-card-actions>
            <v-icon
                class="mr-3"
                color="red">
                fa fa-heart
            </v-icon>

            <v-icon class="mr-3">
                fa fa-comment
            </v-icon>
            <v-icon
                icon>
                fa fa-paper-plane
            </v-icon>
        </v-card-actions>
        <v-card-subtitle class="pb-4 instagram-account">
            <span class="black--text instagram-account-name mr-2">{{ accountName }}</span>
            <span class="instagram-account-hastags-grow">
                {{ hashTags }}
            </span>
        </v-card-subtitle>
    </v-card>
</template>
<script>
export default {
    name: 'InstaProfileCard',
    data: () => ({
        accountName: 'andrew.m',
        hashTags: '#sunsets #sunset #nature #sunsetphotography #pics #sky #photography #sunsetlover #deck #landscape #love #travel #clouds #sunsetlovers #photooftheday #landscapephotography #photo #travelphotography #beautiful #instagood'
    })
}
</script>

<style lang="scss" scoped>
    .profile-card {
        @media(max-width: 960px) {
            max-width: 100%!important;
        }
    }
    .instagram-account {
        text-align: left;
    }
</style>
